=== debian/control ===
Source: kio-umountwrapper-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: debhelper (>> 5), quilt, cdbs, kdelibs4-trinity-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: kio-umountwrapper-trinity
Architecture: any
Depends: ${shlibs:Depends}
Replaces: kio-umountwrapper-kde3 (<< 4:3.5.13)
Breaks: kio-umountwrapper-kde3 (<< 4:3.5.13)
Description: progress dialog for safely removing devices in Trinity.
 Wrapper around kio_media_mountwrapper.
 Provides a progress dialog for Safely Removing of devices in Trinity.
 .
  Homepage: http://frode.kde.no/misc/kio_umountwrapper/
